<html>
    <head>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
        <style>
            .pencarian{
                text-align: center;
                font-family: 'Roboto', sans-serif;
            }

            .greeting{
                font-size: 50px;
            }

            #keyword{
                box-sizing: border-box;
                border-radius: 10px;
                margin-bottom: 30px;
            }

            input {
                text-align: center;
            }         
        </style>

    </head>
    <body style="background-color: #F7567C;">
        <div class="container-fluid">
            <div class="pencarian">
                <div class="greeting">
                    Hello Friend, cari BUKUMU!
                </div>
                <input id="keyword" placeholder="Buku Apa ya ?">

                <table class="table table-striped table-bordered margin2" >
                    <thead class="thead-dark">
                    <tr>
                        <th width=25% class="title text-center">Judul Buku</th>
                        <th width=35% class="desc text-center">Deskripsi Buku</th>
                        <th width=17% class="link text-center">Penulis</th>
                        <th width=25% class="img text-center">Sampul Buku</th>
                    </tr>
                    </thead>
            
                    <tbody id="tabel-buku">
                    </tbody>

                </table>
            </div>
        </div>
    </body>
    <script type="text/javascript">
        $(document).ready(function(){
            var url_dipanggil = '/data?q=reno';
            $.ajax({
                url : url_dipanggil,
                success: function(hasil) {
                        // console.log(hasil.items);
                    var obj_hasil = $("#tabel-buku");
                    obj_hasil.empty();
                    for(i=0 ;i<hasil.items.length; i++){
                        var judulBuku = hasil.items[i].volumeInfo.title;
                        var fotoBuku = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                        var bukudesc = hasil.items[i].volumeInfo.description;
                        var penulis = hasil.items[i].volumeInfo.authors;
                        console.log(judulBuku)
                        obj_hasil.append('<tr>')
                        obj_hasil.append('<th width=25% class="title text-center">'+ judulBuku +'</th>')
                        obj_hasil.append('<th width=35% class="desc text-center">'+ bukudesc +'</th>')
                        obj_hasil.append('<th width=17% class="link text-center">'+ penulis +'</th>')
                        obj_hasil.append('<th width=25% class="img text-center">'+ '<img src='+ fotoBuku +'>' +'</th>')
                        obj_hasil.append('</tr>')
                    }
                }

            })
            $("#keyword").keyup(function(){
                var url_dipanggil = '/data?q=reno';
                var si_keyword = $("#keyword").val();
                console.log(si_keyword);
                if(si_keyword!=""){
                    var url_dipanggil = '/data?q=' + si_keyword;
                }
            // console.log(url_dipanggil);
                $.ajax({
                    url : url_dipanggil,
                    success: function(hasil) {
                        // console.log(hasil.items);
                        var obj_hasil = $("#tabel-buku");
                        obj_hasil.empty();
                        for(i=0 ;i<hasil.items.length; i++){
                            var judulBuku = hasil.items[i].volumeInfo.title;
                            var fotoBuku = hasil.items[i].volumeInfo.imageLinks.smallThumbnail;
                            var bukudesc = hasil.items[i].volumeInfo.description;
                            var penulis = hasil.items[i].volumeInfo.authors;
                            console.log(judulBuku)
                            obj_hasil.append('<tr>')
                            obj_hasil.append('<th width=25% class="title text-center">'+ judulBuku +'</th>')
                            obj_hasil.append('<th width=35% class="desc text-center">'+ bukudesc +'</th>')
                            obj_hasil.append('<th width=17% class="link text-center">'+ penulis +'</th>')
                            obj_hasil.append('<th width=25% class="img text-center">'+ '<img src='+ fotoBuku +'>' +'</th>')
                            obj_hasil.append('</tr>')
                        }
                    }
                })
            });
        })
    </script>
</html>